# Generate User Key

Generates a user-key for the current user. User-keys are included in all api requests to identify the user

Endpoint: POST /api/v2.0/profile/userKeys
Version: 2.0
Security: bearer-key

## Request fields (application/json):

  - `description` (string)
    Example: "Token A"

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.userUuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.userKey` (string)
    Example: "8d541c7d782e4b7891ebf61e864f76cb9af75f17d4394b109f1155e88f3e86bd"

  - `retVal.createdAt` (string)

  - `retVal.lastUsedAt` (string)

  - `retVal.description` (string)
    Example: "Token A"

  - `retVal.expirationDate` (string)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


